Bug 71103 - Incorrect display of utl-8 characters
Incorrect display of utl-8 characters
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-nfs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-08-08 15:18 EDT by Celso K. Webber
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-11 23:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Celso K. Webber 2002-08-08 15:18:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
Using locales other then US, messages are truncated whenever an accented
character is encountered.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Select a locale that has lots of accented characters (pt_BR in my case)
2.Run redhat-config-nfs (this happen on many other tools also)
3.Use the program and verify that whenever there is a message with accented
characters it gets truncated from that point on

Actual Results:  Messages with accented characters appear truncated beginning at
the accented char.

Expected Results:  Messages should appear correctly with this new UTF-8 font scheme.

Additional info:

This happen in other programs as well. In some cases, the accented character
gets substituted for a "double char" character, usually beginning with the
upcase "A-tilde" char: C
Comment 1 Brent Fox 2002-08-11 23:46:54 EDT
I think the translator for pt_BR has converted the po file to UTF-8 a few weeks
ago, but after you filed this report.  I did a little investigation, and there
were still a few po files that were non-UTF-8, which I just converted to UTF-8.
 Should be fixed with 0.9.9-2.

QA, please verify.
Comment 2 Jay Turner 2002-08-14 16:13:47 EDT
Fix confirmed with redhat-config-nfs-0.9.9-5 and LANG=pt_BR

Note You need to log in before you can comment on or make changes to this bug.